package io.gmss.fiscad.interfaces.decoupage;

import io.gmss.fiscad.entities.decoupage.Quartier;
import io.gmss.fiscad.exceptions.BadRequestException;
import io.gmss.fiscad.exceptions.NotFoundException;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Optional;

public interface QuartierService {

    Quartier createQuartier(Quartier quartier) throws BadRequestException;

    Quartier updateQuartier(Long id, Quartier quartier) throws NotFoundException;

    void deleteQuartier(Long id) throws NotFoundException;

    Page<Quartier> getQuartierList(Pageable pageable);

    List<Quartier> getQuartierList();

    Optional<Quartier> getQuartierById(Long id);

    List<Quartier> getQuartierByArrondissement(Long arrondissementId);
}
